rpms/ipxripd/devel ipxripd.init,1.1,1.2 ipxripd.spec,1.4,1.5

Dmitry Butskoy (buc) fedora-extras-commits at redhat.com
Fri Feb 15 14:53:20 UTC 2008


Author: buc

Update of /cvs/extras/rpms/ipxripd/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv6216

Modified Files:
	ipxripd.init ipxripd.spec 
Log Message:



Index: ipxripd.init
===================================================================
RCS file: /cvs/extras/rpms/ipxripd/devel/ipxripd.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ipxripd.init	13 Dec 2005 11:43:45 -0000	1.1
+++ ipxripd.init	15 Feb 2008 14:52:42 -0000	1.2
@@ -1,8 +1,18 @@
 #! /bin/sh
 # chkconfig: - 55 55
-# description: ipxripd is an implementation of Novell's RIP and SAP
+# description: ipxripd is an implementation of Novell's RIP and SAP \
 #              protocols.
 # processname: ipxd
+#
+### BEGIN INIT INFO
+# Provides: ipxripd
+# Required-Start: $local_fs $network $remote_fs
+# Required-Stop: $local_fs $network $remote_fs
+# Short-Description: start and stop the IPX RIP and SAP daemon
+# Descriptiion: ipxripd is an implementation of Novell's RIP and SAP
+#   protocols.
+### END INIT INFO
+
 
 # Source function library.
 . /etc/rc.d/init.d/functions
@@ -11,35 +21,54 @@
 . /etc/sysconfig/network
 
 # Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
+[ ${NETWORKING} = "no" ] && exit 1
+
+
+RETVAL=0
+
+start() {
+    echo -n "Starting ipxd services: "
+    daemon ipxd
+    RETVAL=$?
+    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ipxd
+    echo
+}
+
+stop() {
+    echo -n "Stopping ipxd services: "
+    killproc ipxd
+    RETVAL=$?
+    [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ipxd
+    echo
+
+}
 
 # See how we were called.
 case "$1" in
   start)
-	echo -n "Starting ipxd services: "
-	daemon ipxd
-	[ $? -eq 0 ] && touch /var/lock/subsys/ipxd
-	echo
+	start
 	;;
   stop)
-	echo -n "Stopping ipxd services: "
-	killproc ipxd
-	rm -f /var/lock/subsys/ipxd
-	echo
+	stop
 	;;
   status)
 	status ipxd
+	RETVAL=$?
 	;;
-  restart|reload)
-	$0 stop
-	$0 start
+  restart|reload|force-reload)
+	stop
+	start
 	;;
-  condrestart)
-	[ -f /var/lock/subsys/ipxd ] && $0 restart
+  condrestart|try-restart)
+	[ -f /var/lock/subsys/ipxd ] && {
+	    stop
+	    start
+	}
 	;;
   *)
 	echo "Usage: $0 {start|stop|status|restart|reload|condrestart}"
-	exit 1
+	exit 3
 esac
 
-exit 0
+exit $RETVAL
+


Index: ipxripd.spec
===================================================================
RCS file: /cvs/extras/rpms/ipxripd/devel/ipxripd.spec,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- ipxripd.spec	17 Aug 2007 12:00:44 -0000	1.4
+++ ipxripd.spec	15 Feb 2008 14:52:42 -0000	1.5
@@ -1,7 +1,7 @@
 Summary: IPX RIP/SAP daemon - routing for IPX networks
 Name: ipxripd
 Version: 0.8
-Release: 4%{?dist}
+Release: 5%{?dist}
 Group: System Environment/Daemons
 License: GPLv2+
 URL: ftp://ftp.ibiblio.org/pub/Linux/system/filesystems/ncpfs/
@@ -80,8 +80,11 @@
 
 
 %changelog
+* Fri Feb 15 2008 Dmitry Butskoy <Dmitry at Butskoy.name> - 0.8-5
+- change initscript to comply with the LSB standarts (#246956)
+
 * Fri Aug 17 2007 Dmitry Butskoy <Dmitry at Butskoy.name>
-- Change License tag to GPLv2+
+- change License tag to GPLv2+
 
 * Fri Sep  1 2006 Dmitry Butskoy <Dmitry at Butskoy.name> - 0.8-4
 - rebuild for FC6




More information about the fedora-extras-commits mailing list